Installing the JDK

The Java Development Kit - also known as the JDK - is required in order to develop Sponge plugins and/or work on Sponge itself.

Download

Before installing the JDK, uninstall any older versions of Java that are present on your computer.

Megjegyzés

Sponge contributors and Plugin authors must use JDK 8, as older versions of Java are no longer supported. Be aware that some Minecraft servers have still not yet migrated to Java 8. To run Sponge and its plugins properly you must update to Java 8, as Sponge won’t run on older versions (ie. Java 6 and 7).

Oracle provides free downloads of the Java Development Kit on their website. Ensure that you are installing the JDK (Java Development Kit), not the JRE (Java Runtime Environment). There is a difference between the two.

Upon completion of the installation process, reboot your computer. The JDK should then be ready for use.